-- --------------------------------------------------------
-- Host:                         127.0.0.1
-- Server Version:               10.4.17-MariaDB - mariadb.org binary distribution
-- Server Betriebssystem:        Win64
-- HeidiSQL Version:             11.2.0.6213
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

-- Exportiere Struktur von Tabelle opensim.land.grids
CREATE TABLE IF NOT EXISTS `grids` (
  `GridName` varchar(128) NOT NULL DEFAULT '',
  `GridHomeURL` varchar(128) DEFAULT NULL,
  `GridAssetServer` varchar(128) DEFAULT NULL,
  `GridIMServer` varchar(128) DEFAULT NULL,
  PRIMARY KEY (`GridName`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Daten Export vom Benutzer nicht ausgewählt

-- Exportiere Struktur von Tabelle opensim.land.objects
CREATE TABLE IF NOT EXISTS `objects` (
  `ObjectUUID` varchar(36) NOT NULL DEFAULT '00000000-0000-0000-0000-000000000000',
  `ObjectParcelUUID` varchar(36) NOT NULL DEFAULT '00000000-0000-0000-0000-000000000000',
  `ObjectName` varchar(256) NOT NULL,
  `ObjectDescription` varchar(256) DEFAULT NULL,
  `ObjectImage` varchar(36) NOT NULL DEFAULT '00000000-0000-0000-0000-000000000000',
  `ObjectInSearch` int(1) NOT NULL DEFAULT 0,
  `ObejctForSale` int(1) NOT NULL DEFAULT 0,
  `ObjectPrice` int(8) NOT NULL DEFAULT 0,
  `ObjectFreeForCopy` int(1) NOT NULL DEFAULT 0,
  `ObjectPosition` varchar(30) NOT NULL,
  `ObjectOwnerID` varchar(38) NOT NULL DEFAULT '00000000-0000-0000-0000-000000000000',
  PRIMARY KEY (`ObjectUUID`,`ObjectParcelUUID`),
  KEY `ObjectName` (`ObjectName`),
  KEY `ObjectDescription` (`ObjectDescription`),
  KEY `ObjectInSearch` (`ObjectInSearch`),
  KEY `ObejctForSale` (`ObejctForSale`),
  KEY `ObjectFreeForCopy` (`ObjectFreeForCopy`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Daten Export vom Benutzer nicht ausgewählt

-- Exportiere Struktur von Tabelle opensim.land.onlinetimes
CREATE TABLE IF NOT EXISTS `onlinetimes` (
  `RegionUUID` varchar(36) NOT NULL DEFAULT '00000000-0000-0000-0000-000000000000',
  `RegionLastSeen` int(11) NOT NULL DEFAULT 0,
  `RegionOnlineUser` int(3) NOT NULL DEFAULT 0,
  PRIMARY KEY (`RegionUUID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Daten Export vom Benutzer nicht ausgewählt

-- Exportiere Struktur von Tabelle opensim.land.parcels
CREATE TABLE IF NOT EXISTS `parcels` (
  `ParcelRegionUUID` varchar(36) NOT NULL DEFAULT '00000000-0000-0000-0000-000000000000',
  `ParcelUUID` varchar(36) NOT NULL DEFAULT '00000000-0000-0000-0000-000000000000',
  `ParcelName` varchar(36) NOT NULL DEFAULT '00000000-0000-0000-0000-000000000000',
  `ParcelDescription` text DEFAULT NULL,
  `ParcelForSale` int(1) NOT NULL DEFAULT 0,
  `ParcelInSearch` int(1) NOT NULL DEFAULT 0,
  `ParcelPrice` int(16) DEFAULT NULL,
  `ParcelOwnerID` varchar(36) NOT NULL DEFAULT '00000000-0000-0000-0000-000000000000',
  `ParcelImage` varchar(36) NOT NULL DEFAULT '00000000-0000-0000-0000-000000000000',
  `ParcelBitmap` text DEFAULT NULL,
  `ParcelTraffic` int(16) NOT NULL DEFAULT 0,
  PRIMARY KEY (`ParcelUUID`),
  KEY `ParcelRegionUUID` (`ParcelRegionUUID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Daten Export vom Benutzer nicht ausgewählt

-- Exportiere Struktur von Tabelle opensim.land.queue
CREATE TABLE IF NOT EXISTS `queue` (
  `QueueID` varchar(38) NOT NULL,
  `QueueType` varchar(24) NOT NULL,
  `QueueData` text NOT NULL,
  PRIMARY KEY (`QueueID`),
  KEY `QueueType` (`QueueType`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Daten Export vom Benutzer nicht ausgewählt

-- Exportiere Struktur von Tabelle opensim.land.regions
CREATE TABLE IF NOT EXISTS `regions` (
  `RegionName` varchar(128) NOT NULL,
  `RegionUUID` varchar(36) NOT NULL DEFAULT '00000000-0000-0000-0000-000000000000',
  `RegionGridName` varchar(128) NOT NULL,
  `RegionImage` varchar(36) NOT NULL DEFAULT '00000000-0000-0000-0000-000000000000',
  `RegionOwner` varchar(50) NOT NULL DEFAULT '00000000-0000-0000-0000-000000000000',
  `RegionHostname` varchar(128) NOT NULL,
  `RegionPort` int(8) NOT NULL DEFAULT 7000,
  `RegionVersion` varchar(256) DEFAULT NULL,
  PRIMARY KEY (`RegionUUID`),
  KEY `RegionName` (`RegionName`),
  KEY `RegionOwner` (`RegionOwner`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Daten Export vom Benutzer nicht ausgewählt

-- Exportiere Struktur von Tabelle opensim.land.users
CREATE TABLE IF NOT EXISTS `users` (
  `UserUUID` varchar(36) NOT NULL DEFAULT '00000000-0000-0000-0000-000000000000',
  `UserName` varchar(128) NOT NULL,
  `UserMail` varchar(50) NOT NULL,
  PRIMARY KEY (`UserUUID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Daten Export vom Benutzer nicht ausgewählt

/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IFNULL(@OLD_FOREIGN_KEY_CHECKS, 1) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40111 SET SQL_NOTES=IFNULL(@OLD_SQL_NOTES, 1) */;
